#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libkscreen
Summary:        Display configuration library
Version:        1.0.2
Release:        %mkrel %{rel}
Group:          System/Configuration 
License:        LGPLv2.1
URL:            https://projects.kde.org/projects/extragear/libs/libkscreen
Source0:        http://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  kdelibs4-devel >= 2:%version
BuildRequires:  libxrandr-devel
BuildRequires:  qjson-devel >= 0.8.1
Requires:       kdebase4-runtime

%description
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files 
%_kde_libdir/kde4/plugins/kscreen/KSC_Fake.so
%_kde_libdir/kde4/plugins/kscreen/KSC_XRandR.so

#------------------------------------------------------------------------------

%define kscreen_major 1
%define libkscreen %mklibname kscreen %kscreen_major

%package -n %libkscreen
Summary:    KDE 4 core library
Group:      System/Libraries

%description -n %libkscreen
LibKScreen is a library that provides access to current configuration
of connected displays and ways to change the configuration.

%files -n %libkscreen
%_kde_libdir/libkscreen.so.%{kscreen_major}*

#------------------------------------------------------------------------------

%define libkscreen_d %mklibname kscreen -d

%package -n %libkscreen_d
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libkscreen = %version-%release
Provides: %name-devel = %version-%release

%description  -n %libkscreen_d
Files needed to build applications based on %{name}.

%files -n %libkscreen_d
%_kde_includedir/kscreen
%_kde_libdir/cmake/LibKScreen
%_kde_libdir/libkscreen.so
%_kde_libdir/pkgconfig/kscreen.pc

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Sat Nov 23 2013 lmenut <lmenut> 1.0.2-1.mga4
+ Revision: 552388
- Update to 1.0.2
  update License & project URL

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 531508
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 fwang <fwang> 1.0.1-2.mga4
+ Revision: 463763
- new version 1.0.1

* Fri Jul 19 2013 lmenut <lmenut> 1.0-2.mga4
+ Revision: 456222
- bump release to be higher than in mga3 update

* Mon Jun 17 2013 fwang <fwang> 1.0-1.mga4
+ Revision: 444040
- bump libmajor
- new version 1.0

* Sun May 26 2013 neoclust <neoclust> 0.0.92-1.mga4
+ Revision: 428281
- New version 0.0.92

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-2.mga3
+ Revision: 392795
- Fix requires in the devel package

* Sun Jan 27 2013 neoclust <neoclust> 0.0.71-1.mga3
+ Revision: 392779
- imported package libkscreen

